Subject: Re: [RFC v2] Git User's Survey 2008

From: Jakub Narebski <[email-masked]>
Date: Thu, 21 Aug 2008 13:19:43 +0200

On Thu, 21 Aug 2008, Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
>>>>    xx. Which Git version(s) are you using?
>>>>        (zero or more, multiple choice:
>>>>         one can use different versions on different machines)
>>>>      - pre 1.3, 1.3, 1.4, 1.5, 1.6, master, next
>>>>      + might be important when checking "what did you find hardest" etc.
>>> 
>>> This is a very good idea.  "What is hardest" grouped by "How proficient
>>> are you with git".
>>
>> Errr... I didn't add "How proficient are you with git?" question to
>> Git User's Survey 2008, but I think I would.
> 
> I meant that "how long have you been using" already has a strong correlation
> to the proficiency (iow I did not mean to suggest adding a new question).

Well, it is here...

>>> s/separate worktree/& (git-new-workdir)/;
>>
>> Or core.worktree.
> 
> As I personally do not think there is any sane usecase that *must* use
> core.worktree and/or GIT_WORK_TREE, I took "separate worktree" as "having
> two or more worktree on the same repository via new-workdir mechanism",
> but you meant core.worktree.  It shows the question is ill-stated that
> there are confusion even between us.

Actually I meant here ability to work with worktree which doesn't have
repository embedded into it, in '.git' directory in top directory of
the worktree.

The ability to work with multiple worktrees requires this, but separate
worktree is slightly broader feature.  I have added however new
"multiple worktrees (git-new-worktree)" option (answer).

But this reminded me that I forgot to add 'alternates' to the lists...

>>>> Documentation
>>>>
>>>>    xx. What could be improved on the Git homepage?
>>>>        (free form)
>>>>    xx. What could be improved in Git documentation?
>>>>        (free form)
>>> 
>>> "What can/will you do to help improve them?"?
>>
>> Good idea.  I have added this, separately for each question...
> 
> Wouldn't that be an overkill?

This is now slightly reworked at Survs.com.

-- 
Jakub Narebski
Poland